For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Profiles

This endpoint returns all profiles available to the client, including their basic information.

List Profiles

get

This endpoint returns all profiles available to the client, including their basic information.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
is_trialbooleanOptionalExample: false
expires_atstring · date-timeOptionalExample: 2027-10-21T05:38:23.000000Z
resource_idintegerOptionalExample: 44340307
statusstringOptionalExample: active
get/api/reach/v1/profiles
GET /api/reach/v1/profiles HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "limits": {
      "ai_messages_limit": 10,
      "subscribers_limit": 500,
      "emails_monthly_limit": 3500,
      "ai_messages_additional": 1096
    },
    "is_trial": false,
    "expires_at": "2027-10-21T05:38:23.000000Z",
    "resource_id": 44340307,
    "status": "active",
    "profiles": [
      {
        "uuid": "550e8400-e29b-41d4-a716-446655440000",
        "domain": "example.com",
        "created_at": "2026-01-21T07:35:04.000000Z",
        "updated_at": "2026-01-21T07:35:04.000000Z"
      }
    ]
  }
]

Last updated

Was this helpful?